Page MenuHomePhabricator

Remove deployment.wikimedia.beta.wmflabs.org wiki (deploymentwiki)
Open, MediumPublic

Description

This is the only wiki in Beta Cluster that does not exist in production. It's purpose seems to be a mix between Meta-Wiki and a generic landing page for the Beta Cluster.

I'd propose that:

  • All roles that apply to deploymentwiki in Beta Cluster that are fulfilled by metawiki in production, be moved to Beta Cluster's metawiki.
  • The landing page (which seems overkill to have an entire wiki for) be merged with the main page of another Beta Cluster wiki (e.g. metawiki or enwiki).
  • Update the https://beta.wmflabs.org redirect to no longer point at https://deployment.wikimedia.beta.wmflabs.org/.

Rationale:

Keeping the InitialiseSettings-labs and CommonSettings-labs files in wmf-config as simple and short as possible. There are currently two kinds of overrides that are more or less permanently different between Beta and Prod due to the existence of deploymentwiki:

  1. Settings that point to metawiki in prod but need to point to deploymentwiki. (T188874, T123936, etc.). Continues diverge with every Meta-related functionality added to or changed in prod. Effectively technical debt that will require on-going care to keep correct and catch issues.
  1. Settings for LanguageCode, SiteName and other stuff that exists only for this wiki because there is no prod equivalent.

Event Timeline

Krinkle created this task.Jul 3 2018, 1:54 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 3 2018, 1:54 AM
Krinkle updated the task description. (Show Details)Jul 3 2018, 3:46 PM
Krenair rescinded a token.
Krenair awarded a token.

Can we also consider deleting all of those not needed anymore as well? Thanks.

greg triaged this task as Medium priority.Jul 6 2018, 7:36 PM
Krinkle moved this task from Unsorted to Migrate / Replace on the Technical-Debt board.

Can we also consider deleting all of those not needed anymore as well? Thanks.

all of what not needed anymore?

Can we also consider deleting all of those not needed anymore as well? Thanks.

all of what not needed anymore?

All of the Spanish wikis, for example. As far as I know they were created for some ContentTranslation testing and serve no purpose now? I'm sure we can clear up some more, but maybe we can discuss that in a different ticket.

Majavah added a comment.EditedJun 19 2020, 2:03 PM

Looking thru the config files there are two things that need to be moved from deploymentwiki to metawiki: CentralAuth management and global AbuseFilters. (CentralNotice is already at metawiki)

CentralAuth only needs reverting T123936 and changing documentation.

We currently have 14 enabled global filters which need to be moved over. I'm not sure how AF behaves when wmAbuseFilterCentralDB is changed.

I've also copied over and modified the main page from deploymentwiki to metawiki. Feel free to improve it at https://meta.wikimedia.beta.wmflabs.org/wiki/User:Majavah/T198673 and the future main page for deploymentwiki at https://deployment.wikimedia.beta.wmflabs.org/wiki/User:Majavah/T198673.

Change 606699 had a related patch set uploaded (by Majavah; owner: Majavah):
[operations/mediawiki-config@master] betacluster: Apply Global Blocks at metawiki instead of deploymentwiki

https://gerrit.wikimedia.org/r/606699

Majavah claimed this task.Jun 19 2020, 2:11 PM
Restricted Application added a project: User-Majavah. · View Herald TranscriptJun 19 2020, 2:11 PM

Change 606701 had a related patch set uploaded (by Majavah; owner: Majavah):
[operations/puppet@production] Redirect beta.wmflabs.org to beta cluster metawiki instead of deploymentwiki

https://gerrit.wikimedia.org/r/606701

Change 606710 had a related patch set uploaded (by Majavah; owner: Majavah):
[operations/mediawiki-config@master] betacluster: Apply global abuse filters from metawiki instead of deploymentwiki

https://gerrit.wikimedia.org/r/606710

Change 606733 had a related patch set uploaded (by Majavah; owner: Majavah):
[operations/mediawiki-config@master] betacluster: Add deploymentwiki to closed-labs.dblist

https://gerrit.wikimedia.org/r/606733

Majavah added a comment.EditedJun 19 2020, 5:29 PM

Update:

Change 606710 merged by jenkins-bot:
[operations/mediawiki-config@master] betacluster: Apply global abuse filters from metawiki instead of deploymentwiki

https://gerrit.wikimedia.org/r/606710

Change 606699 merged by jenkins-bot:
[operations/mediawiki-config@master] betacluster: Apply Global Blocks at metawiki instead of deploymentwiki

https://gerrit.wikimedia.org/r/606699

Global blocks and abuse filters were moved to metawiki earlier today. I guess the only thing left is to cleanup unused user rights and close down the wiki (not sure if that's even possible T115584).

There is a banner to this task on deploymentwiki so let's hope people will scream if I've broken anything important.

Change 606701 merged by RLazarus:
[operations/puppet@production] Redirect beta.wmflabs.org to beta cluster metawiki instead of deploymentwiki

https://gerrit.wikimedia.org/r/606701

DannyS712 added a subscriber: DannyS712.EditedJun 28 2020, 7:23 AM

Can you also remove members from all groups in deploymentwiki (T198673)? This includes everything that is available in the interface to modify plus at least autopatrolled, flood and translationadmin which can't be modified via Special:UserRights as they do not exist there.

I'll do what I can via the interface, and the rest should be done as part of T198673 or a subtask

I've emptied all user groups on deploymentwiki via the interfaces. Most were possible on deployment wiki, but a few groups weren't available there, so are logged on meta (and 1 on commons - flow bot)

Helper script I used (in case something like this comes up again):

new mw.Api().get( {
    action: 'query',
    list: 'allusers',
    auprop: 'groups',
    augroup: 'accountcreator|bot|bureaucrat|checkuser|confirmed|import|interface-admin|ipblock-exempt|oversight|steward|sysop|transwiki',
    aulimit: 100,
    formatversion: 2
} ).done( function ( response ) {
    var users = response.query.allusers;
    var usersMapped = users.map( function ( u ) {
        var groups = u.groups.filter( function ( gr ) {
            return ( gr !== '*' && gr !== 'user' && gr !== 'autoconfirmed' );
        } );
        return { name: u.name, groups: groups };
    } );
    console.log( usersMapped );
    usersMapped.forEach( function ( u ) {
        new mw.Api().postWithToken( 'userrights', {
            action: 'userrights',
            user: u.name,
            remove: u.groups.join('|'),
            reason: 'Deployment wiki is being closed in favor of beta metawiki. See [[phab:T198673]]. If these rights are still neeeded, please request them at beta metawiki'
        } );
    } );
} );

Let me know if there is anything else needed on-wiki

DannyS712 moved this task from Unsorted to Others on the User-DannyS712 board.Jun 28 2020, 7:27 AM

Change 608223 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[operations/mediawiki-config@master] labs: Update eventgate placeholders in Beta Cluster to not use deploymentwiki

https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/ /608223

Change 608223 merged by jenkins-bot:
[operations/mediawiki-config@master] labs: Update eventgate placeholders in Beta Cluster to not use deploymentwiki

https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/ /608223

Change 608224 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[operations/mediawiki-config@master] labs: Remove wmgULSPosition override for deploymentwiki

https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/ /608224

Change 608224 merged by jenkins-bot:
[operations/mediawiki-config@master] labs: Remove wmgULSPosition override for deploymentwiki

https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/ /608224

Change 608225 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[operations/mediawiki-config@master] labs: Disable FileExporter extension on deploymentwiki in Beta

https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/ /608225

Change 608225 merged by jenkins-bot:
[operations/mediawiki-config@master] labs: Disable FileExporter extension on deploymentwiki in Beta

https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/ /608225

Change 608246 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[operations/mediawiki-config@master] labs: Move Special:CollabPad from deploymentwiki to metawiki

https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/ /608246

Change 608246 merged by jenkins-bot:
[operations/mediawiki-config@master] labs: Move Special:CollabPad from deploymentwiki to metawiki

https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/ /608246

Change 606733 merged by jenkins-bot:
[operations/mediawiki-config@master] labs: Add deploymentwiki to closed-labs.dblist

https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/ /606733

Change 608249 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[operations/mediawiki-config@master] multiversion: Fix 'closed-labs' reading as 'closed' for static config

https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/ /608249

Change 608249 merged by jenkins-bot:
[operations/mediawiki-config@master] multiversion: Fix 'closed-labs' reading as 'closed' for static config

https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/ /608249

Krinkle updated the task description. (Show Details)Jun 29 2020, 2:09 PM